 <div class="pal_new">
	
		<h2>New Work</h2>
			<div class="pal_br_add">
		<a href="/users/work" class="btn btn-success btn-lg btn-right">Back</a>
		</div>
		<form method="post" action="/users/add_work" onsubmit="return validation();">
			<div class="col-md-12">
			<div class="col-md-6 form-group">
				<label>Service Name<span class="required">*</span></label>
					<select class="form-control" name="service_name" id="service_name" onChange="sel(this.value);">
						<option value="">--Select Service--</option>
						{{#each items as |item|}}
							<option value="{{item.id}}">{{item.name}}</option>
						{{/each}}
					</select>
			</div>

			<div class="col-md-6 form-group">
				<label>Service Category Name<span class="required">*</span></label>
					<select class="form-control" name="sub_name" id="sub_name" onChange="sel_brand(this.value);">
						<option value="">--Select Service Category--</option>
						
					</select>
			</div>

			<span id="brand"></span>
			
			
			<div class="col-md-6 form-group">
				<label>Work Name<span class="required">*</span></label>
					<input type="text" class="form-control" name ="work_name" id="work_name" placeholder = "Work Name" />
			</div>

			<!--<div class="col-md-6 form-group">
				<label>Work Category Name<span class="required">*</span></label>
					<input type="text" class="form-control" name ="work_cat" id="work_cat" placeholder = "Work Category" />
			</div>-->
			
			{{#if error_msg}}
				<div class="alert alert-danger">{{error_msg}}</div>
			{{/if}}
			<div class="col-md-12">
			<button type="submit" class="btn btn-primary">Submit</button>
			</div>
			</div>
		</form>
		</div>
		<script>
			function sel(str){
				   $.ajax({
                    type: 'POST',
                    data: {str: str},

                      url: '/users/getjson',
                      success: function(data) {
						if(data == 1){
							swal("Service Category Not Available");
							$('#sub_name').html('');
							$('#brand').html('');
						}else{
							$('#sub_name').html(data);
						}
                      }
                  });
			}

			function sel_brand(str){
				   $.ajax({
                    type: 'POST',
                    data: {str: str},

                      url: '/users/getbrand',
                      success: function(data) {

							if(data != '1'){
							$('#brand').html(data);
							}else{
							$('#brand').html('');
							}
						
                      }
                  });
			}
		</script>
		<script>
			function validation(){
				var brand_name = $('#brand_name').val();
				var service_name = $('#service_name').val();
				var sub_name = $('#sub_name').val();
				var work_name = $('#work_name').val();

				
				if(service_name == ""){
					swal('Select Service Name');
					return false;
				}else if(sub_name == ""){
					swal('Select Service Category');
					return false;
				}else if(brand_name == ""){
					swal('Select Brand Name');
					return false;
				}else if(work_name == ""){
					swal('Enter Work Name');
					return false;
				}
			}
		</script>
	
